﻿footer{
    background-color: #dddddd;
    padding: 40px 0;
}
.footer-box{
    width: 1200px;
    max-width: 100%;
    display: block;
    margin: 0 auto;
    font-size: 0;
    position: relative;
}
.footer-info-box,
.web-box,
.footer-qr-code-box{
    display: inline-block;
}
.footer-info-box{
    vertical-align: middle;
}
.footer-qr-code-box{
    width: 120px;
    max-width: 100%;
    display: inline-block;
    vertical-align: middle;
    margin-top:20px;
    padding-left: 20px;
    box-sizing: border-box;
}
.web-box{
    vertical-align: bottom;
}
.footer-info-box{
    width: 430px;
    max-width: 100%;
}
.web-box{
    width: calc(100% - 430px);
    text-align: right;
    position: relative;
}

.footer-logo{
    display: inline-block;
    vertical-align: bottom;
}
.footer-fb{
    font-size: 26px;
    display: inline-block;
    vertical-align: middle;
    color: #555555;
    margin-left: 20px;
    margin-bottom: 5px;
}

.footer-info-list-box{
    margin-top: 20px;
}
.footer-info-list{
    display: inline-block;
    vertical-align: middle;
    position: relative;
    margin-right: 40px;
}
.footer-info-list-icon{
    width: 50px;
    height: 50px;
    display: block;
    border-radius: 50%;
    border: 3px solid #555;
    font-size: 30px;
    line-height: 46px;
    color: #555;
    text-align: center;
}
.footer-info-list-text-box{
    width: 400px;
    display: block;
    border: 1px solid #d1d1d1;
    background-color: #fff;
    box-sizing: border-box;
    padding: 25px 50px;
    text-align: left;
    position: absolute;
    bottom: calc(100% + 10px);
    transition: all .5s ease;
    opacity: 0;
    pointer-events: none;
}
.footer-info-list:hover .footer-info-list-text-box{
    opacity: 1;
    pointer-events: all;
}
.footer-info-list-text-box:after {
    content: 'none';
    font-size: 0;
    display: block;
    width: 20px;
    height: 20px;
    position: absolute;
    bottom: -10px;
    left: 15px;
    border-right: 1px solid #d1d1d1;
    border-top: 1px solid #d1d1d1;
    background-color: #FFF;
    transform: rotate(135deg);
}
.footer-info-list-text-name{
    font-size: 12px;
    color: #555555;
    letter-spacing: 2px;
    margin-bottom: 5px;
}
.footer-info-list-text-url{
    font-size: 12px;
    color: #555555;
    letter-spacing: 2px;
    margin-bottom: 5px;
}


.web-top-box{
    font-size: 22px;
    color: #777777;
    display: inline-block;
    text-align: center; 
    cursor: pointer;
    transition: all .5s ease;   
}

.web-top-box i{
    display: block;
    margin-bottom: 10px;
}
.web-top{
    font-size: 12px;
    display: block;
}
.web{
    display: block;
    font-size: 12px;
    color: #777777;
    letter-spacing: 1px;
    margin-top: 30px;
}


@media only screen and (max-width: 768px){
    footer{
        padding: 20px 0;
    }
    .footer-info-list-box{
        margin-top: 0;
    }
    .footer-info-list{
        display: block;
        margin-right: 0;
        margin-top: 10px;
    }
    .footer-info-list-icon{
        display: none;
    }
    .footer-info-list-text-box{
        width: 100%;
        opacity: 1;
        pointer-events: all;
        position: static;
        background-color: transparent;
        border: none;
        padding: 0;
    }
    .footer-info-list-text-box:after{
        display: none;
    }
    .footer-info-list-text-url{
        letter-spacing: 0.03em;
        display: inline-block;
        line-height: 1.4;
    }
}